/* $Log:	skipfontdef.c,v $
 * Revision 0.8  92/11/23  19:46:58  19:46:58  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:42  02:41:42  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:48:40  21:48:40  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:47  16:25:47  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:46:03  02:46:03  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:53  12:45:53  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:29:01  17:29:01  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:48  23:58:48  bt (Bo Thide')
 * First Release.
 *  */

#include <stdio.h>
#include "macros.h"

static char rcsid[] = "$Header: skipfontdef.c,v 0.8 92/11/23 19:46:58 bt Exp $";

/*
 * We need a routine to skip over a font definition. This is very simple, just
 * requires skipping over the parameters.
 */
void skipfontdef(dvifile)
FILE	*dvifile;
{ 
	int	skip;

	getsquad(dvifile);
	getsquad(dvifile);
	getsquad(dvifile);
	skip = (int)getubyte(dvifile);
	skip += (int)getubyte(dvifile);
	fseek(dvifile, skip, 1);
}
